<?
include_once("mysql.php");
include_once("include/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);

echo'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><title>Lineage2</title></head>
<link rel="stylesheet" href="img/style.css" type="text/css" />
';
include_once("include/ini.php");
include_once("include/header.php");
if(@file("local/key/$log.dat")){echo"Вы не прошли активацию акаунта. Пожалуйста пройдите активацию. Письмо выслано на указаный Вами @mail при регистрации"; exit;}
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$hp=trim($udata[16]);
$allhp=trim($udata[17]);}
////////////////////////////////////////////////////////
if (isset($user)) {
$text = @file("MySql/base123/ip/$log.dat");
$vhod = explode(":||:",$text[0]);
echo"<b>Данные последнего входа:</b><br/>";
if(!@file("MySql/base123/ip/$log.dat")){echo"Данных еще нет<br/>";}else{
echo"Ваш IP: $vhod[1]<br/>";
echo"Браузер: $vhod[0]<br/>";
}

echo"<b>Ваши данные:</b><br/>";
$browser_name = $_SERVER['HTTP_USER_AGENT'];
echo $browser_name;
echo"<br/>";
echo"Ваш IP: ";
$ip=$_SERVER['REMOTE_ADDR'];
echo $ip;
echo"<br/>";
echo"- - - -<br/>";

echo"Поздравляем Уважаемый $log Вы успешно прошли авторизацию<br/>";
echo"<a href=\"newgame.php?$sd\">Войти в игру</a><br/>";
$text="$browser_name:||:$ip:||:";
$fp=fopen("MySql/base123/ip/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


}else{echo"<small>Пароль или логин неверен!</small>";}
echo '</div><div class="foot">';